include:
  - https://gitlab.com/gitlab-org/security-products/tests/api-fuzzing-e2e/e2e-image/-/raw/master/template-dastapi.yml

variables:
    DAST_API_OPENAPI: "http://vulnapp:8080/api-docs"
    DAST_API_TARGET_URL: http://vulnapp:8080
    #
    DAST_API_PROFILE: Full
    #
    POSTGRES_DB: "custom_db"
    POSTGRES_USER: "custom_user"
    POSTGRES_PASSWORD: "custom_pass"
    MYSQL_DATABASE: "custom_db"
    MYSQL_USER: "custom_user"
    MYSQL_PASSWORD: "custom_pass"
    MYSQL_ROOT_PASSWORD: "custom_pass"
    ACCEPT_EULA: "Y"
    SA_PASSWORD: "Your_password123"
    MSSQL_DATABASE: "custom_db"
    DOCKER_DRIVER: overlay2
    FF_NETWORK_PER_BUILD: 1
    TZ: UTC
    #

dast_api:
  allow_failure: false
  services:
    - name: mysql:8.0.19
      alias: mysql
    - name: postgres:12.2
      alias: postgres
    - name: mcr.microsoft.com/mssql/server:2019-latest
      alias: mssql
    - name: $CI_REGISTRY_IMAGE:latest
      alias: vulnapp

# end
